View Issue Details

IDProjectCategoryView StatusLast Update
0002973unrealircdpublic2010-11-17 17:35
ReportervonitsanetAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
PlatformOSFreeBSDOS Version6
Product Version3.2.5 
Target VersionFixed in Version 
Summary0002973: override bug
DescriptionAs netadmin with override i cant DEOP a user if i have (+h or) +o or +a ->
[15:56:48] * Netadmin sets mode: +oao Netadmin user user
/mode #test -o user

and then the error:
o user is a channel admin

if i dont have any modes (h,o,a) i can override just nice and with +o i can -a.
The problem is on DEOP.

Another (if netadmin with override is halfopped and not opped on the channel):

o user is a channel admin
h user is a channel admin
a user is a channel admin
Additional InformationYou can give channel modes to a user with override.
The problem is when you try to remove them.
TagsNo tags attached.
3rd party modules

Relationships

has duplicate 0003098 closed Net/Server-Admin (and probably regular oper also) with can_override and being halfopped can't -qao someone, but can +qao 
child of 0003776 resolvedsyzop Unreal3.2.9 TODO 

Activities

JasonTik

2006-06-15 16:10

reporter   ~0011957

I have to say, I've never had this problem.


Sure your netadmin, not servicesadmin or etc?

vonitsanet

2006-06-15 20:31

reporter   ~0011962

ME is using modes +iowghraAsRTxNWqztGp

Zell

2006-06-19 01:53

reporter   ~0011986

I'll be d**mned. It happens on 3.2.5, too.

I was +h at channel, and every operator flag known to God and man set.
I set my net comanager +q on the channel and me +h, and tested this out.
Results:
q tigger-away is channel owner
a tigger-away is channel owner
o tigger-away is channel owner
(when user was +q at channel)
a tigger-away is channel admin
o tigger-away is channel admin
(when user was +a at channel)

vonitsanet

2006-06-19 22:24

reporter   ~0011992

Exactly

WolfSage

2007-04-15 20:44

reporter   ~0013425

Just tested, and verified. I think this should be fixed in 3.3.

goldenwolf

2010-10-22 18:53

reporter   ~0016388

I think does not happen in 3.2.8.1
* Rejoined channel #test
* Netadmin sets mode: +h Netadmin
* Netadmin sets mode: +a Tester
* Netadmin sets mode: +o Tester
* Netadmin sets mode: +q Tester
* Netadmin sets mode: -q Tester
* Netadmin sets mode: -a Tester
* Netadmin sets mode: -o Tester

Unless this is something other than what I just tested.

syzop

2010-11-17 17:35

administrator   ~0016421

I've tested 15 combinations of -o'ing, and 20+ combinations of -h'ing. When I am +q, +a, +o, +h, none, and target is: +q, +a, +o, +h, in a matrix.. and well.. everything seems to work :).

This bug has probably been fixed some time back then, which is quite possible with all those override bugs & fixing of those bugs :)

Issue History

Date Modified Username Field Change
2006-06-15 08:09 vonitsanet New Issue
2006-06-15 16:10 JasonTik Note Added: 0011957
2006-06-15 20:31 vonitsanet Note Added: 0011962
2006-06-19 01:53 Zell Note Added: 0011986
2006-06-19 22:24 vonitsanet Note Added: 0011992
2007-04-15 20:44 WolfSage Note Added: 0013425
2007-04-16 11:25 stskeeps Status new => acknowledged
2007-04-18 04:50 stskeeps Relationship added has duplicate 0003098
2010-07-14 17:50 syzop Relationship added child of 0003776
2010-09-06 15:07 ohnobinki Status acknowledged => assigned
2010-09-06 15:07 ohnobinki Assigned To => ohnobinki
2010-10-22 18:53 goldenwolf Note Added: 0016388
2010-11-17 17:35 syzop Note Added: 0016421
2010-11-17 17:35 syzop Status assigned => closed
2010-11-17 17:35 syzop Assigned To ohnobinki =>
2010-11-17 17:35 syzop Resolution open => no change required